summaryrefslogtreecommitdiffstats
path: root/shell
diff options
context:
space:
mode:
authorJessica Wagantall <jwagantall@linuxfoundation.org>2018-03-09 19:21:09 +0000
committerGerrit Code Review <gerrit@onap.org>2018-03-09 19:21:09 +0000
commitdc39c1e60ee53b4d74a99a61f0cea216c0359d4d (patch)
tree0e9416f99f6f2ec33073996f88eaa6b743854d1d /shell
parent95e91e9c3c35c3328f4643ed93d22d96fc50e1ad (diff)
parent295975d522aaa584bc3dd79c043b1a6003977f22 (diff)
Merge "Configure PyPI releases"
Diffstat (limited to 'shell')
-rw-r--r--shell/pypi-dist-build.sh11
-rw-r--r--shell/pypi-get.sh15
-rw-r--r--shell/pypi-publish.sh11
3 files changed, 37 insertions, 0 deletions
diff --git a/shell/pypi-dist-build.sh b/shell/pypi-dist-build.sh
new file mode 100644
index 000000000..7733f6242
--- /dev/null
+++ b/shell/pypi-dist-build.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+# Script to build PyPI artifacts
+set -e -x -o pipefail
+
+virtualenv /tmp/v/twine
+source "/tmp/v/twine/bin/activate"
+
+pip install twine wheel
+
+cd "$WORKSPACE/$TOX_DIR"
+python setup.py sdist bdist_wheel
diff --git a/shell/pypi-get.sh b/shell/pypi-get.sh
new file mode 100644
index 000000000..40900a5d7
--- /dev/null
+++ b/shell/pypi-get.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+# Script to download PyPI artifacts
+
+PROJECT_NAME=$(grep name= setup.py | cut -d"'" -f2)
+ARTIFACT_VERSION=$(grep __version__ ${PROJECT_NAME}/_version.py | cut -d'"' -f2)
+REPO_URL="https://nexus3.onap.org/repository/PyPi.staging/packages"
+TAR_NAME="$REPO_URL/$PROJECT_NAME/$ARTIFACT_VERSION/$PROJECT_NAME-$ARTIFACT_VERSION.tar.gz"
+WHEEL_NAME="${REPO_URL}/${PROJECT_NAME}/${ARTIFACT_VERSION}/${PROJECT_NAME}-${ARTIFACT_VERSION}-py2-none-any.whl"
+
+mkdir dist
+cd dist
+
+wget ${TAR_NAME}
+wget ${WHEEL_NAME}
diff --git a/shell/pypi-publish.sh b/shell/pypi-publish.sh
new file mode 100644
index 000000000..7ea3fa2d9
--- /dev/null
+++ b/shell/pypi-publish.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+# Script to publush PyPI artifacts
+set -e -x -o pipefail
+
+virtualenv /tmp/v/twine
+source "/tmp/v/twine/bin/activate"
+
+pip install twine
+
+cd "$WORKSPACE/$TOX_DIR"
+twine upload -r $PYPI_SERVER dist/*